<?php
// 说明
// 1. key 获取：登录后，进入首页-导航栏-短网址-API接口可查看您的key
// 2. expire_date 过期日期，暂支持到年月日

/**
 * @param $long_url 长网址
 * @param $expire_date 过期日期
 */
function getShortUrl($long_url, $expire_date)
{
    $url = urlencode($long_url);
    $key = "您的key";
    $request_url = "http://api.suowo.cn/api.htm?format=json&url={$url}&key={$key}&expireDate={$expire_date}&domain=0";
    $result_str = file_get_contents($request_url);

    $url = "";
    if ($result_str) {
        $result_arr = json_decode($result_str, true);

        if ($result_arr && $result_arr['code'] == "0") {
            $url = $result_arr['url'];
        }
    }

    echo $url;
}

$long_url = "https://baidu.com";
$expire_date = "2020-05-06";
getShortUrl($long_url, $expire_date);
?>